<?php
class woocsvImportAdminHeader
{

	public function __construct() {
		if ( !empty($_POST) && $_POST['action'] === 'uploadHeader' && 
			!empty($_FILES['file']['name']) && 
			check_admin_referer('uploadHeaderFile', 'uploadHeaderFile') 
		) {
			$this->showHeaderPreview();
		} elseif ( !empty($_POST) && $_POST['action'] === 'saveHeader' && 
			check_admin_referer('saveHeaderFields', 'saveHeaderFields') 
		) {
			$this->saveHeader();
			$this->checkHeader();
			$this->headerUpload();
		} else {
			$this->checkHeader();
			$this->headerUpload();
		}
	}

	public function headerUpload()
	{
		?>
		<h2>Create a header</h2>
		<form name="headerFileForm" id="headerFileForm" enctype="multipart/form-data" method="POST">
		<input id="file" name="action" type="hidden" value="uploadHeader" />
		<table class="form-table">
		<tbody>
			<tr>
				<th scope="row" class="titledesc"><label for="file">Select your csv file</label></th>
				<td><input id="file" name="file" type="file" accept="text/csv" /></td>
			</tr>
			<tr>
				<td><button type="submit" class="button-primary">Load</button></td>
				<td></td>
			</tr>
		</tbody>
		</table>
		<?php wp_nonce_field('uploadHeaderFile', 'uploadHeaderFile'); ?>
		</form>
		<?php
	}

	public function checkHeader()
	{
		$currentHeader = get_option('woocsv-header');

		if ($currentHeader) {
			echo '<h2>Your current header is:</h2>';
			echo '<p>';
			foreach ($currentHeader as $field) {
				echo $field.'; ';
			}
			echo '</p>';
		} else {
		?>
			<h2>You have not created a header yet!</h2>
			<p>Upload your csv file and map the columns to the right fields and press load!</p>
		<?php
		}
	}

	public function showHeaderPreview()
	{
		global $woocsvImport;
		$handle = fopen($_FILES['file']['tmp_name'], 'r');
		$row = 1;
		$csvcontent = '';
		while ($row < 4) {
			$csvcontent[] = @fgetcsv($handle, 0, $woocsvImport->options['seperator']);
			$row ++;
		}

		if (count($csvcontent[0]) == 1 ) {
			echo '<h2>I think you have the wrong seperator</h2>';
			echo '<p>Please goto the settings page and change your seperator!</p>';
			return;
		}
		fclose($handle);
		
		$length = count($csvcontent[0]);
?>
			<h2>Header preview</h2>
			<form id="headerForm" method="POST">
			<input id="file" name="action" type="hidden" value="saveHeader" />
			<table class="widefat">
			<thead>
				<tr>
					<th>Fields</th>
					<th>Row 1</th>
					<th>Row 2</th>
					<th>Row 3</th>
				</tr>
			</thead>
			<tbody>
			<?php for ($i = 0; $i <= $length-1; $i++) : ?>
			<tr>
				<td>
				<select name="fields_<?php echo $i;?>">
					<option value="skip">Skip</option>
					<?php foreach ($woocsvImport->fields as $field) :?>
						<option value="<?php echo $field;?>" <?php if ( $field === $csvcontent[0][$i] ) echo 'selected'; ?>>
							<?php echo $field;?>
						</option>
					<?php endforeach; ?>
				</select>
				</td>
				<td><?php if (isset($csvcontent[0][$i])) echo $csvcontent[0][$i];?></td>
				<td><?php if (isset($csvcontent[1][$i])) echo $csvcontent[1][$i];?></td>
				<td><?php if (isset($csvcontent[2][$i])) echo $csvcontent[2][$i];?></td>
			</tr>
			<?php endfor;?>
			<tfoot>
				<tr><th><button type="submit" class="button-primary button-hero">Safe</button></th></tr>
			</tfoot>
			</tbody>
			</table>
			<?php wp_nonce_field('saveHeaderFields', 'saveHeaderFields'); ?>
			</form>
			<?php
	}


	public function saveHeader()
	{
		$headerOrder = '';
		foreach ($_POST as $key=>$value) {
			if (preg_match("/fields_[0-9]/", $key, $matches)) {
				$headerOrder[] = $value;
			}
		}
		update_option('woocsv-header', $headerOrder);
	}
	
	public function hasHeader() {
		
	}

}
